Zum Hauptinhalt springen
GET
/
scheduler
/
v3
/
meetings
/
meeting-links
/
book
/
{slug}
Buchungsinformationen auflisten
curl --request GET \
  --url https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book/{slug} \
  --header 'Authorization: Bearer <token>'
{
  "allUsersBusyTimes": [
    {
      "busyTimes": [
        {
          "end": 123,
          "start": 123
        }
      ],
      "isOffline": true,
      "meetingsUser": {
        "calendarProvider": "EXCHANGE",
        "id": "<string>",
        "isSalesStarter": true,
        "userId": "<string>",
        "userProfile": {
          "email": "<string>",
          "firstName": "<string>",
          "fullName": "<string>",
          "lastName": "<string>"
        }
      }
    }
  ],
  "customParams": {
    "availability": {},
    "durations": [
      123
    ],
    "formFields": [
      {
        "fieldType": "<string>",
        "isCustom": true,
        "isRequired": true,
        "label": "<string>",
        "name": "<string>",
        "options": [
          {
            "description": "<string>",
            "displayOrder": 123,
            "doubleData": 123,
            "hidden": true,
            "label": "<string>",
            "readOnly": true,
            "value": "<string>"
          }
        ],
        "type": "<string>"
      }
    ],
    "legalConsentEnabled": true,
    "meetingBufferTime": 123,
    "ownerPrioritized": true,
    "startTimeIncrementMinutes": "FIFTEEN",
    "weeksToAdvertise": 123,
    "customAvailabilityEndDate": 123,
    "customAvailabilityStartDate": 123,
    "displayInfo": {
      "avatar": "<string>",
      "companyAvatar": "<string>",
      "headline": "<string>",
      "publicDisplayAvatarOption": "COMPANY_LOGO"
    },
    "guestSettings": {
      "canAddGuests": true,
      "maxGuestCount": 123
    },
    "language": "<string>",
    "legalConsentOptions": {
      "communicationConsentCheckboxes": [
        {
          "communicationTypeId": "<string>",
          "label": "<string>",
          "required": true
        }
      ],
      "communicationConsentText": "<string>",
      "isLegitimateInterest": true,
      "legitimateInterestSubscriptionTypes": [
        123
      ],
      "privacyPolicyText": "<string>",
      "processingConsentCheckboxLabel": "<string>",
      "processingConsentFooterText": "<string>",
      "processingConsentText": "<string>",
      "processingConsentType": "IMPLICIT",
      "legitimateInterestLegalBasis": "CONSENT_WITH_NOTICE"
    },
    "locale": "<string>",
    "location": "<string>",
    "redirectUrl": "<string>",
    "welcomeScreenInfo": {
      "description": "<string>",
      "logoUrl": "<string>",
      "showWelcomeScreen": true,
      "title": "<string>",
      "useCompanyLogo": true
    }
  },
  "isOffline": true,
  "linkId": "<string>",
  "linkType": "GROUP_CALENDAR",
  "brandingMetadata": {
    "logoAltText": "<string>",
    "showMarketingAd": true,
    "showSalesAd": true,
    "accent2Color": "<string>",
    "accentColor": "<string>",
    "companyAddressLine1": "<string>",
    "companyAddressLine2": "<string>",
    "companyAvatar": "<string>",
    "companyCity": "<string>",
    "companyCountry": "<string>",
    "companyDomain": "<string>",
    "companyName": "<string>",
    "companyState": "<string>",
    "companyZip": "<string>",
    "logoHeight": 123,
    "logoUrl": "<string>",
    "logoWidth": 123,
    "primaryColor": "<string>",
    "secondaryColor": "<string>"
  },
  "linkAvailability": {
    "hasMore": true,
    "linkAvailabilityByDuration": {}
  }
}

Unterstützte Produkte

Erfordert eines der folgenden Produkte oder höher.
Marketing HubMarketing Hub -Kostenlos
Sales HubSales Hub -Kostenlos
Service HubService Hub -Kostenlos
Content HubContent Hub -Kostenlos

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

slug
string
erforderlich

Der Pfad zur Planungsseite, für die Sie die Informationen benötigen.

Abfrageparameter

timezone
string
erforderlich

Rückkehrzeiten in der Antwort basierend auf der angegebenen Zeitzone.

Antwort

successful operation

allUsersBusyTimes
object[]
erforderlich
customParams
object
erforderlich
isOffline
boolean
erforderlich

Ob das Meeting offline gebucht wurde, d. h., es wurde kein zugehöriges Kalender-Event erstellt.

Die eindeutige ID für den Meetinglink.

Der Typ des Meetinglinks. Zulässige Werte sind: GROUP_CALENDAR, PERSONAL_LINK, ROUND_ROBIN_CALENDAR.

Verfügbare Optionen:
GROUP_CALENDAR,
PERSONAL_LINK,
ROUND_ROBIN_CALENDAR
brandingMetadata
object
Last modified on March 24, 2026